/*
 * ppplicznik -- counter of ppp connections with many features
 * Copyright (C) 2001 Artur Siekielski <gruesome@go2.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ekran_h
#define ekran_h

#pragma interface

#include <ncurses.h>
#include <unistd.h>

class ekran
{
	typedef void(ekran::*wskm)(const polaczenie&, int);
	wskm S[15];
	WINDOW* okno;
	public:
	ekran();
	~ekran();
	void wyswietl(const polaczenie&);
	void w1(const polaczenie&, int);
	void w2(const polaczenie&, int);
	void w3(const polaczenie&, int);
	void w4(const polaczenie&, int);
	void w5(const polaczenie&, int);
	void w6(const polaczenie&, int);
	void w7(const polaczenie&, int);
	void w8(const polaczenie&, int);
	void w9(const polaczenie&, int);
	void w10(const polaczenie&, int);
	void w11(const polaczenie&, int);
	void w12(const polaczenie&, int);
	void w13(const polaczenie&, int);
	void kolorNapisow();
	void kolorDanych();
	void kolorRamki();
	void rysujWykres();
	void ustawMape();
	ekran& operator<<(const polaczenie&);
	friend class program;
};

#endif
